## kdenlive 17.08.2

=== debian/changelog ===
kdenlive (4:17.08.2-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (17.08.2) 

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Oct 2017 21:05:59 +0100

kdenlive (4:17.08.1-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (17.08.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Sep 2017 20:30:47 +0100

kdenlive (4:17.08.0-0ubuntu1) artful; urgency=medium

  * New upstream release (17.08.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 22 Aug 2017 09:09:29 +0100

kdenlive (4:17.04.3-0ubuntu1) artful; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Use DHMK for debian/rules and add pkg-kde-tools build dependency
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * debian/patches: refresh 01-desktop-keywords.diff

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:17 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.7
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libmlt++-dev (>= 0.9.8),
               libmlt-dev (>= 0.9.8),
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.6.1~),
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         oxygen-icon-theme,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            recordmydesktop,
            swh-plugins
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

## kdenlive 17.12.3

=== CMakeLists.txt ===
project(Kdenlive)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KDENLIVE_VERSION ${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO})
cmake_minimum_required(VERSION 3.0)
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()
# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 6)
set(MLT_MIN_MINOR_VERSION 4)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

set(QT_MIN_VERSION 5.6.0)

find_package(ECM 5.18.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version (use for stable releases)" ON)

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}
	ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
      RETURN_VALUE TAG_RESULT
    )

    # git log failed; maybe the repository was checked with depth=1.
    if(NOT ${TAG_RESULT} EQUAL 0)
      exec_program(${GIT_EXECUTABLE}
        ${CMAKE_SOURCE_DIR}
        ARGS "describe --always"
        OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
      )
    endif()
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)

find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Script Svg Quick )
find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)

find_package(KF5 5.23.0 OPTIONAL_COMPONENTS XmlGui QUIET)
if (KF5XmlGui_FOUND)
  message(STATUS "Found KF5 >= 5.23.0 enabling icon coloring")
else()
  message(STATUS "KF5 < 5.23.0 Disable icon coloring")
  set(KF5_ICON_COMPATIBILITY TRUE)
endif()

find_package(KF5 REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets 
                            DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes
                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash)

if (KF5FileMetaData_FOUND)
  message(STATUS "Found KF5 FileMetadata to extract file metadata")
  set(KF5_FILEMETADATA TRUE)
else()
  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
endif()

# Search MLT package.
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES 
                DESCRIPTION "Multimedia framework and video playout server for TV broadcasting"
                URL "http://mltframework.org"
                TYPE RUNTIME
                PURPOSE "Required to do video processing")

set(MLT_PREFIX ${MLT_ROOT_DIR})

add_subdirectory(data)
if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()
#add_subdirectory(plugins)
add_subdirectory(renderer)
add_subdirectory(src)
add_subdirectory(thumbnailer)
#add_subdirectory(testingArea)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

install( FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
add_subdirectory(effects)
add_subdirectory(generators)
add_subdirectory(transitions)
add_subdirectory(icons)
add_subdirectory(lumas)
add_subdirectory(man)
add_subdirectory(titles)
add_subdirectory(profiles)

if (KF5_ICON_COMPATIBILITY)
  add_subdirectory(pics)
endif()

install(FILES
  banner.png
  blacklisted_effects.txt
  blacklisted_transitions.txt
  encodingprofiles.rc
  metadata.properties
  meta_ffmpeg.png
  meta_libav.png
  meta_magiclantern.png
  timeline_athumbs.png
  timeline_avthumbs.png
  timeline_nothumbs.png
  timeline_vthumbs.png
  kdenliveeffectscategory.rc
  kdenlivetranscodingrc
# Qml are now embedded as Qt resources from /src/uiresources.qrc
#  kdenlivemonitor.qml
#  kdenliveclipmonitor.qml
#  kdenlivemonitoreffectscene.qml
#  kdenlivemonitorcornerscene.qml
#  kdenlivemonitorsplit.qml
  DESTINATION ${DATA_INSTALL_DIR}/kdenlive)
install(FILES  kdenlive.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
install(FILES kdenlive_renderprofiles.knsrc kdenlive_wipes.knsrc kdenlive_titles.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES profiles.xml DESTINATION ${DATA_INSTALL_DIR}/kdenlive/export)
install(FILES org.kde.kdenlive.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

find_package(SharedMimeInfo REQUIRED)
install(FILES kdenlive.xml westley.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== thumbnailer/CMakeLists.txt ===
set(mltpreview_SRCS mltpreview.cpp)

include_directories(
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
)

add_library(mltpreview MODULE ${mltpreview_SRCS})


target_link_libraries(mltpreview
        Qt5::Core
        Qt5::Gui
        KF5::KIOCore
        KF5::KIOWidgets
  ${MLT_LIBRARIES}
  ${MLTPP_LIBRARIES}
)
#FIXME: For some reason the plugin only seems to work if installed in $lib/qt5/plugins and not in $lib/plugins like KF5 recommands
install(TARGETS mltpreview DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES mltpreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== data/effects/CMakeLists.txt ===
INSTALL (FILES 

audiowave.xml
audiowaveform.xml
automask.xml
audiobalance.xml
audiopan.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dust.xml
dynamictext.xml
freeze.xml
gamma.xml
grain.xml
greyscale.xml
invert.xml
loudness.xml
mirror.xml
mute.xml
normalise.xml
oldfilm.xml
pan_zoom.xml
obscure.xml
region.xml
rotation.xml
rotation_keyframable.xml
scratchlines.xml
sepia.xml
sox_bass.xml
sox_gain.xml
sox_phaser.xml
sox_band.xml
sox_echo.xml
sox_flanger.xml
sox_stretch.xml
threshold.xml
volume.xml
wave.xml
fadein.xml
fadeout.xml
frei0r_alpha0ps.xml
frei0r_alphagrad.xml
frei0r_alphaspot.xml
frei0r_balanc0r.xml
frei0r_baltan.xml
frei0r_bezier_curves.xml
frei0r_brightness.xml
frei0r_cartoon.xml
frei0r_cluster.xml
frei0r_colgate.xml
frei0r_coloradj_rgb.xml
frei0r_colordistance.xml
frei0r_colortap.xml
frei0r_contrast0r.xml
frei0r_c0rners.xml
frei0r_curves.xml
frei0r_d90stairsteppingfix.xml
frei0r_defish0r.xml
frei0r_delay0r.xml
frei0r_delaygrab.xml
frei0r_distort0r.xml
frei0r_edgeglow.xml
frei0r_equaliz0r.xml
frei0r_flippo.xml
frei0r_glow.xml
frei0r_hqdn3d.xml
frei0r_hueshift0r.xml
frei0r_iirblur.xml
frei0r_keyspillm0pup.xml
frei0r_lenscorrection.xml
frei0r_letterb0xed.xml
frei0r_levels.xml
frei0r_lightgraffiti.xml
frei0r_luminance.xml
frei0r_mask0mate.xml
frei0r_medians.xml
frei0r_nervous.xml
frei0r_nosync0r.xml
frei0r_pixeliz0r.xml
frei0r_pr0be.xml
frei0r_pr0file.xml
frei0r_primaries.xml
frei0r_rgbparade.xml
frei0r_saturat0r.xml
frei0r_scale0tilt.xml
frei0r_scanline0r.xml
frei0r_select0r.xml
frei0r_sharpness.xml
frei0r_sobel.xml
frei0r_sopsat.xml
frei0r_squareblur.xml
frei0r_tehroxx0r.xml
frei0r_three_point_balance.xml
frei0r_threelay0r.xml
frei0r_threshold0r.xml
frei0r_timeout.xml
frei0r_tint0r.xml
frei0r_twolay0r.xml
frei0r_vectorscope.xml
frei0r_vertigo.xml
frei0r_vignette.xml
frei0r_facebl0r.xml
frei0r_facedetect.xml
fade_from_black.xml
fade_to_black.xml
gain.xml
lift_gamma_gain.xml
movit_blur.xml
movit_deconvolution_sharpen.xml
movit_diffusion.xml
movit_glow.xml
movit_lift_gamma_gain.xml
movit_mirror.xml
movit_opacity.xml
movit_rect.xml
movit_saturation.xml
movit_unsharp_mask.xml
movit_vignette.xml
movit_white_balance.xml
qtblend.xml
rotoscoping.xml
speed.xml
swapchannels.xml
tcolor.xml
vignette.xml
tracker.xml


DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

add_subdirectory(update)
add_subdirectory(avfilter)

=== data/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
  128-actions-kdenlive-select-all.png
  128-mimetypes-application-x-kdenlivetitle.png
  16-actions-kdenlive-add-clip.png
  16-actions-kdenlive-add-color-clip.png
  16-actions-kdenlive-add-slide-clip.png
  16-actions-kdenlive-add-text-clip.png
  16-actions-kdenlive-custom-effect.png
  16-actions-kdenlive-deleffect.png
  16-actions-kdenlive-down.png
  16-actions-kdenlive-hide-audio.png
  16-actions-kdenlive-hide-video.png
  16-actions-kdenlive-insert-edit.png
  16-actions-kdenlive-insert-rect.png
  16-actions-kdenlive-insert-unicode.png
  16-actions-kdenlive-lock.png
  16-actions-kdenlive-menu.png
  16-actions-kdenlive-normal-edit.png
  16-actions-kdenlive-object-height.png
  16-actions-kdenlive-object-width.png
  16-actions-kdenlive-overwrite-edit.png
  16-actions-kdenlive-select-all.png
  16-actions-kdenlive-select-images.png
  16-actions-kdenlive-select-rects.png
  16-actions-kdenlive-select-texts.png
  16-actions-kdenlive-select-tool.png
  16-actions-kdenlive-show-audio.png
  16-actions-kdenlive-show-audiothumb.png
  16-actions-kdenlive-show-markers.png
  16-actions-kdenlive-show-video.png
  16-actions-kdenlive-show-videothumb.png
  16-actions-kdenlive-snap.png
  16-actions-kdenlive-spacer-tool.png
  16-actions-kdenlive-split-audio.png
  16-actions-kdenlive-track_has_effect.png
  16-actions-kdenlive-unlock.png
  16-actions-kdenlive-unselect-all.png
  16-actions-kdenlive-up.png
  16-actions-kdenlive-zindex-up.png
  16-actions-kdenlive-zone-end.png
  16-actions-kdenlive-zone-start.png
  22-actions-kdenlive-select-all.png
  22-actions-kdenlive-spacer-tool.png
  32-actions-kdenlive-select-all.png
  32-mimetypes-application-x-kdenlivetitle.png
  48-actions-kdenlive-select-all.png
  64-actions-kdenlive-select-all.png
  16-apps-kdenlive.png
  22-apps-kdenlive.png
  32-apps-kdenlive.png
  48-apps-kdenlive.png
  64-apps-kdenlive.png
  128-apps-kdenlive.png
  256-apps-kdenlive.png
  sc-apps-kdenlive.svgz
  64-mimetypes-application-x-kdenlivetitle.png
  sc-actions-kdenlive-align-bottom.svgz
  sc-actions-kdenlive-align-hor.svgz
  sc-actions-kdenlive-align-left.svgz
  sc-actions-kdenlive-align-none.svgz
  sc-actions-kdenlive-align-right.svgz
  sc-actions-kdenlive-align-top.svgz
  sc-actions-kdenlive-align-vert.svgz
  sc-actions-kdenlive-hide-audio-effects.svg
  sc-actions-kdenlive-hide-video-effects.svg
  sc-actions-kdenlive-insert-rect.svgz
  sc-actions-kdenlive-insert-unicode.svgz
  sc-actions-kdenlive-object-height.svgz
  sc-actions-kdenlive-object-width.svgz
  sc-actions-kdenlive-select-all.svgz
  sc-actions-kdenlive-select-images.svgz
  sc-actions-kdenlive-select-rects.svgz
  sc-actions-kdenlive-select-texts.svgz
  sc-actions-kdenlive-select-tool.svgz
  sc-actions-kdenlive-show-all-effects.svg
  sc-actions-kdenlive-show-audio-effects.svg
  sc-actions-kdenlive-show-gpu-effects.svg
  sc-actions-kdenlive-show-video-effects.svg
  sc-actions-kdenlive-spacer-tool.svgz
  sc-actions-kdenlive-unselect-all.svgz
  sc-actions-kdenlive-zindex-bottom.svgz
  sc-actions-kdenlive-zindex-down.svgz
  sc-actions-kdenlive-zindex-top.svgz
  sc-actions-kdenlive-zindex-up.svgz
  sc-actions-kdenlive-zone-end.svgz
  sc-actions-kdenlive-zone-start.svgz
  sc-actions-kdenlive-zoom-large.svgz
  sc-actions-kdenlive-zoom-small.svgz
  sc-mimetypes-application-x-kdenlive.svgz
  sc-mimetypes-application-x-kdenlivetitle.svgz
  sc-mimetypes-video-mlt-playlist.svgz
  DESTINATION ${ICON_INSTALL_DIR})

=== data/titles/CMakeLists.txt ===
FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.kdenlivetitle")
INSTALL (FILES ${files} DESTINATION ${DATA_INSTALL_DIR}/kdenlive/titles)

=== src/bin/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  bin/bin.cpp
  bin/projectitemmodel.cpp
  bin/abstractprojectitem.cpp
  bin/projectclip.cpp
  bin/projectsubclip.cpp
  bin/projectfolder.cpp
  bin/projectfolderup.cpp
  bin/projectsortproxymodel.cpp
  bin/bincommands.cpp
  bin/generators/generators.cpp
  PARENT_SCOPE
)

=== src/effectslist/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  effectslist/effectslist.cpp
  effectslist/effectslistview.cpp
  effectslist/effectslistwidget.cpp
  effectslist/initeffects.cpp
  effectslist/effectbasket.cpp
  PARENT_SCOPE)

=== data/effects/avfilter/CMakeLists.txt ===
INSTALL (FILES 

acompressor.xml
aecho.xml
agate.xml
selectivecolor.xml
avfilter_lut3d.xml
DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

=== debian/changelog ===
kdenlive (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:57 +0000

kdenlive (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Feb 2018 16:54:21 +0000

kdenlive (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Add missing depends on breeze-icon-theme

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 10 Dec 2017 22:47:14 +0000

kdenlive (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (17.08.2) 
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:40 +0000

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,8 @@
 
 Package: kdenlive
 Architecture: any
-Depends: ffmpeg,
+Depends: breeze-icon-theme,
+         ffmpeg,
          kded5,
          kdenlive-data (= ${source:Version}),
          kinit,
@@ -94,7 +95,7 @@
 Package: kdenlive-dbg
 Section: debug
 Architecture: any
-Priority: extra
+Priority: optional
 Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
 Description: non-linear video editor (debugging symbols)
  Kdenlive is a non-linear video editing suite, which supports DV, HDV and many

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_compress:
	dh_compress -X.docbook

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+// \
	http://download.kde.org/stable/applications/([\d.]+)/src/kdenlive-([\d.]+)\.tar\.xz

## kdenlive 18.04.3

=== debian/changelog ===
kdenlive (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:16:27 +0100

kdenlive (4:18.04.1-0ubuntu1) cosmic; urgency=medium

  * Refresh patch 01-desktop-keywords.diff
  * New upstream release (18.03.90)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 May 2018 09:49:58 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                pkg-config,
                pkg-kde-tools,
                qtdeclarative5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
+               qtscript5-dev (>= 5.6.1~),
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

## kdenlive 18.12.0

=== debian/changelog ===
kdenlive (18.12.0-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17 & 18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 01 Jan 2019 05:03:24 -0800

kdenlive (18.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-error.
  * Bump Standards-Version to 4.3.0.
  * Remove extra license file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 31 Dec 2018 10:24:12 +0100

kdenlive (18.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Nov 2018 11:40:25 +0100

kdenlive (18.08.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Oct 2018 09:41:55 +0200

kdenlive (18.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Sep 2018 10:46:44 +0200

kdenlive (18.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 17 Aug 2018 09:05:27 +0200

kdenlive (18.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Jul 2018 11:18:39 +0200

kdenlive (18.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump libmlt build dependencies up to version 6.6.0.
    Closes: #899001

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Jun 2018 11:02:29 +0200

kdenlive (18.04.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 May 2018 14:33:14 +0200

kdenlive (18.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Apr 2018 16:38:08 +0200

kdenlive (17.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary dh argument.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Mar 2018 15:33:26 +0100

kdenlive (17.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Feb 2018 10:02:13 +0100

kdenlive (17.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Replace build dependencies on deprecated framework packages.
    Closes: #885390
  * Bump debian/compat to level 11.
  * Bump Standards-Version to 4.1.3 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jan 2018 15:25:37 +0100

kdenlive (17.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.2 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 Dec 2017 09:28:14 +0100

kdenlive (17.08.3-2) unstable; urgency=medium

  * Ship again translations. Thanks for the patch to Pino Toscano.
    Closes: #882096

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Nov 2017 14:23:17 +0100

kdenlive (17.08.3-1) unstable; urgency=medium

  * New upstream release.
  * Move oxygen-icon-theme from depends to recommends.
  * Use signing key from upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Nov 2017 09:13:34 +0100

kdenlive (17.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Use secure URI in debian/watch and for the homepage field.
  * Recommend breeze-icon-theme.
    Closes: #880469

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 Nov 2017 14:53:50 +0100

kdenlive (17.08.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Sep 2017 14:53:34 +0200

kdenlive (17.08.0-1) unstable; urgency=medium

  * New upstream release.
    - Add build dependency on libqt5webkit5-dev.
  * Bump Standards-Version to 4.1.0 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 31 Aug 2017 11:21:49 +0200

kdenlive (17.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Add again english locales to the packaging. Other translation have to wait
    on new KDE uploads.
    Closes: #863722
  * Bump debian/compat to level 10.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Jul 2017 09:43:50 +0200

kdenlive (17.04.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes GCC-7 FTBFS.
      Closes: #853473
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Drop usr/share/doc/HTML and usr/share/locale from kdenlive-data. The files
    are now provided by the kde-l10n packages.
    Closes: #863722
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 30 Jun 2017 11:17:16 +0200

kdenlive (17.04.1-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 May 2017 10:33:28 +0200

kdenlive (17.04.0-1) experimental; urgency=low

  * New upstream release.
    - Add usr/share/locale.
    - Adjust debian/copyright.
  * Add patch 01-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Apr 2017 10:19:08 +0200

kdenlive (16.12.3-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 31 Mar 2017 09:57:49 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.6.0),
 libmlt++-dev (>= 6.6.0),
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules,
 qtscript5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5doctools-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 kinit,
 kded5,
 kio,
 melt,
 ffmpeg
Recommends: swh-plugins,
 breeze-icon-theme,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_compress:
	dh_compress -X.docbook

override_dh_install:
	dh_install --list-missing
	rm -f $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/COPYING.gz

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kdenlive 18.12.2

=== debian/changelog ===
kdenlive (18.12.2-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Decremented debhelper to 11.
  * Moved frei0r and breeze from recommends to depends. 

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 13 Feb 2019 18:53:30 -0800

kdenlive (18.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/compat to level 12.
    - Do not use dh_install --list-missing anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Feb 2019 10:07:08 +0100

kdenlive (18.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Jan 2019 15:28:41 +0100

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,8 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  kdenlive-data (= ${source:Version}),
+ breeze-icon-theme, 
+ frei0r-plugins, 
  qml-module-qtquick2,
  qml-module-qtquick-controls,
  kinit,
@@ -52,10 +54,8 @@
  melt,
  ffmpeg
 Recommends: swh-plugins,
- breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,
- frei0r-plugins,
  recordmydesktop,
  dvdauthor,
  genisoimage
